### Method

# ICalGLib RecurIterator set_end

since: 4.0

#### Declaration [src]

    gboolean
    i_cal_recur_iterator_set_end (
      ICalRecurIterator* iterator,
      ICalTime* end
    )

#### Description [src]

Sets the date-time at which the iterator will stop at the latest. Values equal to or greater than end will not be returned by the iterator.

Available since: 4.0

#### Parameters

`end`

  Type: `ICalTime`

  The date-time at which the iterator will stop.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

True if succeeded, false if failed.